## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface TryExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  TryExpImpl

    public interface TryExp

extends ImperativeExpression

A representation of the model object 'Try Exp'.

The following features are supported:

- `Except Clause`
- `Try Body`

See Also:
  `ImperativeOCLPackage.getTryExp()`

Method Summary
`<any>` `getExceptClause()` Returns the value of the 'Except Clause' containment reference list.
`<any>` `getTryBody()` Returns the value of the 'Try Body' containment reference list.

Method Detail

### getExceptClause

    <any> getExceptClause()

  Returns the value of the 'Except Clause' containment reference list. The list contents are of type `CatchExp`.

  If the meaning of the 'Except Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Except Clause' containment reference list.
  See Also:
    `ImperativeOCLPackage.getTryExp_ExceptClause()`

### getTryBody

    <any> getTryBody()

  Returns the value of the 'Try Body' containment reference list. The list contents are of type `org.eclipse.ocl.ecore.OCLExpression`.

  If the meaning of the 'Try Body' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Try Body' containment reference list.
  See Also:
    `ImperativeOCLPackage.getTryExp_TryBody()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.